<?php
/*
Plugin Name: ID-3 Delivery Service
Plugin URI: https://id-3.net
Description: Blog delivery service master
Version: 0.1.10
Author: ID-3 Technologies
Author URI: https://id-3.net
License: GPLv2 or later
Text Domain: id3-dlp
*/



namespace ID3\DLP;

define( 'PLUGIN_VERSION', '0.1.10');
define( 'PLUGIN', __FILE__);
define( 'PLUGIN_DIR', str_replace('\\', '/',plugin_dir_path( __FILE__ ) ) );
define(	'PLUGIN_URL', '/' . str_replace(str_replace('\\', '/', ABSPATH),'',PLUGIN_DIR));

/*

x Add lang selection for article
- Add admin page
    - client registrations
x Add rest api 
    x client registration/update
    x client sync

*/

define('PLUGIN_PATH',dirname(__FILE__));

require_once(PLUGIN_PATH . '/core/class.main.php');

if(is_admin()){
    require_once( PLUGIN_DIR . '/core/class.update.php');
    new \ID3\DLP\Updater(PLUGIN);
}


new \ID3\DLP\Main();

